Package org.eclipse.mat.parser.io

## Class BitOutputStream

- java.lang.Object
- - org.eclipse.mat.parser.io.BitOutputStream

All Implemented Interfaces:
  `java.io.Closeable`, `java.io.Flushable`, `java.lang.AutoCloseable`

    public class BitOutputStream
    extends java.lang.Object
    implements java.io.Flushable, java.io.Closeable

### Field Summary

Fields
`static int` `DEFAULT_BUFFER_SIZE`

### Constructor Summary

Constructors
`BitOutputStream​(java.io.OutputStream os)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `flush()`
`int` `writeBit​(int bit)`
`int` `writeInt​(int x, int len)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_BUFFER_SIZE

    public static final int DEFAULT_BUFFER_SIZE

See Also:
  Constant Field Values

### Constructor Detail

#### BitOutputStream

    public BitOutputStream​(java.io.OutputStream os)

### Method Detail

#### flush

    public void flush()
               throws java.io.IOException

Specified by:
  `flush` in interface `java.io.Flushable`
Throws:
  `java.io.IOException`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `java.io.Closeable`
Throws:
  `java.io.IOException`

#### writeBit

    public int writeBit​(int bit)
                 throws java.io.IOException

Throws:
  `java.io.IOException`

#### writeInt

    public int writeInt​(int x,
                        int len)
                 throws java.io.IOException

Throws:
  `java.io.IOException`